package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkCouponAbandonRequest struct {
	/*
	   废券参数     */
	ParamWdkCouponAbandonParam *domain.AlibabaWdkCouponAbandonWdkCouponAbandonParam `json:"param_wdk_coupon_abandon_param,omitempty" required:"false" `
}

func (s *AlibabaWdkCouponAbandonRequest) SetParamWdkCouponAbandonParam(v domain.AlibabaWdkCouponAbandonWdkCouponAbandonParam) *AlibabaWdkCouponAbandonRequest {
	s.ParamWdkCouponAbandonParam = &v
	return s
}

func (req *AlibabaWdkCouponAbandonRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamWdkCouponAbandonParam != nil {
		paramMap["param_wdk_coupon_abandon_param"] = util.ConvertStruct(*req.ParamWdkCouponAbandonParam)
	}
	return paramMap
}

func (req *AlibabaWdkCouponAbandonRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
